package es.uv.garcosda.services;

import java.util.List;
import java.util.Optional;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import es.uv.garcosda.domain.Comment;
import es.uv.garcosda.repositories.CommentRepository;

@Service
@Transactional
public class CommentService {

	@Autowired CommentRepository cr;

	public List<Comment> findAll(){
		return cr.findAll();
	}

	public Optional<Comment> findById(String id) {
		return cr.findById(id);
	}
	
	public List<Comment> findByVideoId(String firstname){
		return cr.findByVideoId(firstname);
	}
	
	public List<Comment> findByUserId(String lastname){
		return cr.findByUserId(lastname);
	}
	
	public Comment update(Comment comment) {
		return cr.save(comment);
	}
	
	public Comment create(Comment comment) {
		return cr.save(comment);
	}

	public void deleteById(String id) {
		cr.deleteById(id);
	}
}
